Subject: [PATCH] ARM: shmobile: r8a7779: Correct TMU clock support again

From: [email-masked] (Paul Mundt)
Date: Fri, 15 Feb 2013 01:18:11 +0900

On Fri, Feb 15, 2013 at 01:08:42AM +0900, Simon Horman wrote:
> On Thu, Feb 14, 2013 at 06:10:40PM +0900, Paul Mundt wrote:
> > On Thu, Feb 14, 2013 at 01:16:52PM +0900, Simon Horman wrote:
> > > Ok, so in that case the correct value for "sh_tmu.2" might actually
> > > be MSTP016 or MSTP015 depending on the bundle size. I am unsure how to test
> > > sh_tmu.2.

[snip]

> Getting that information correct for sh_tmu.2 on the r8a7779 problem I'm
> not completely sure of the correct answer to. Though I now strongly suspect
> it is MSTP016.

Testing shouldn't be that difficult, just switch your clocksource to it
and make sure all TMU-related MSTP bits are first cleared?